## org.eclipse.amp.agf3d
Class SolidShape

    java.lang.Object
      org.eclipse.amp.agf3d.SolidShape

    public class SolidShape

extends java.lang.Object

Field Summary
`private static float[]` `DEFAULT_COLOR`
`private static java.lang.String` `DL_FRONT`
`private static java.lang.String` `DL_REST`
`private static java.lang.String` `DL_TEXTURE`
`private float[]` `m_color`
`private java.lang.Integer` `m_textureId`

Constructor Summary
`SolidShape()`

Method Summary
`float` `getDistance(IVector3f iRayOrigin, IVector3f iRayDirection, java.util.Map<java.lang.Object,java.lang.Object> iContext)`
`float` `getDistanceMeasure(RenderContext iRenderContext)`
`ParaxialBoundingBox` `getParaxialBoundingBox(ParaxialBoundingBox oResult)`
`RenderType` `getRenderType()`
`private void` `glSetColor(Graphics3D g3d)`
`private void` `initDisplayLists(DisplayListManager i_displayListManager, Graphics3D g3d)`
`void` `render(RenderContext renderContext)`
`protected void` `renderFront(Graphics3D g3d)`
`protected void` `renderRest()`
`void` `setColor(Color i_color, int i_alpha)` Sets the color of this cube.
`void` `setTexture(java.lang.Integer i_textureId)` Sets the texture of the font face.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_COLOR

    private static final float[] DEFAULT_COLOR

### DL_FRONT

    private static final java.lang.String DL_FRONT

See Also:
  Constant Field Values

### DL_REST

    private static final java.lang.String DL_REST

See Also:
  Constant Field Values

### DL_TEXTURE

    private static final java.lang.String DL_TEXTURE

See Also:
  Constant Field Values

### m_color

    private final float[] m_color

### m_textureId

    private java.lang.Integer m_textureId

Constructor Detail

### SolidShape

    public SolidShape()

Method Detail

### glSetColor

    private void glSetColor(Graphics3D g3d)

### initDisplayLists

    private void initDisplayLists(DisplayListManager i_displayListManager,
                                  Graphics3D g3d)

### render

    public void render(RenderContext renderContext)

### renderFront

    protected void renderFront(Graphics3D g3d)

### renderRest

    protected void renderRest()

### setColor

    public void setColor(Color i_color,
                         int i_alpha)

  Sets the color of this cube.

  Parameters:
    `i_color` - the color
    `i_alpha` - the alpha value
  Throws:
    `java.lang.NullPointerException` - if the given color is `null`

### setTexture

    public void setTexture(java.lang.Integer i_textureId)

  Sets the texture of the font face.

  Parameters:
    `i_textureId` - the texture id

### getDistance

    public float getDistance(IVector3f iRayOrigin,
                             IVector3f iRayDirection,
                             java.util.Map<java.lang.Object,java.lang.Object> iContext)

  Parameters:
    `iRayOrigin` -
    `iRayDirection` -
    `iContext` -
  Returns:
  See Also:
    `org.eclipse.draw3d.picking.Pickable#getDistance(org.eclipse.draw3d.geometry.IVector3f, org.eclipse.draw3d.geometry.IVector3f, java.util.Map)`

### getParaxialBoundingBox

    public ParaxialBoundingBox getParaxialBoundingBox(ParaxialBoundingBox oResult)

  Parameters:
    `oResult` -
  Returns:
  See Also:
    `org.eclipse.draw3d.picking.Pickable#getParaxialBoundingBox(org.eclipse.draw3d.geometry.ParaxialBoundingBox)`

### getDistanceMeasure

    public float getDistanceMeasure(RenderContext iRenderContext)

  Parameters:
    `iRenderContext` -
  Returns:
  See Also:
    `org.eclipse.draw3d.RenderFragment#getDistanceMeasure(org.eclipse.draw3d.RenderContext)`

### getRenderType

    public RenderType getRenderType()

  Returns:
  See Also:
    `org.eclipse.draw3d.RenderFragment#getRenderType()`

Copyright (C) 2007-2009 Metascape, LLC, 2009 Miles Parker, 2006-2007 Argonne National Labs, and Contributors